#
# spec file for package fltk (Version 1.1.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           fltk
BuildRequires:  Mesa-devel gcc-c++ libjpeg-devel libpng-devel
License:        LGPL
Group:          Development/Libraries/X11
Autoreqprov:    on
Version:        1.1.6
Release:        19.2
Summary:        Free C++ GUI Toolkit for the X Window System, OpenGL, and WIN32 (Windows 95,98,NT)
URL:            http://www.fltk.org/
Source:         %{name}-%{version}-source.tar.bz2
Patch1:         %{name}-gcc3.1-fix.dif
Patch2:         %{name}-delete-fix.dif
Patch3:         fltk-cast-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/X11
Requires:       %{name} = %{version} 
Autoreqprov:    on

%description devel
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a C++
graphical user interface toolkit for the X Window System (UNIX(r)),
OpenGL(r), and Microsoft(r) Windows(r) NT 4.0, 95, or 98). Installation
of this package requires you to install a 3D library. If you do not
have 3D hardware you can use the software OpenGL library in the
mesasoft package (series x3d). The library can be recompiled without 3D
support.




%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a C++
graphical user interface toolkit for the X Window System (UNIX(r)),
OpenGL(r), and Microsoft(r) Windows(r) NT 4.0, 95, or 98. The
installation of this package requires you to install a 3D library. If
you do not have hardware 3D, you can use the software OpenGL library in
the mesasoft package (series x3d). The library can be recompiled
without 3D support.



%prep
%setup -q
%patch1
%patch2
%patch3

%build
%{?suse_update_config:%{suse_update_config}}
./configure CFLAGS="$RPM_OPT_FLAGS" \
	    CXXFLAGS="$RPM_OPT_FLAGS" \
	    --prefix=/usr/X11R6 \
	    --bindir=/usr/X11R6/bin \
            --libdir=/usr/X11R6/%{_lib} \
            --includedir=/usr/X11R6/include \
            --enable-shared
make         glflags="-L/usr/%{_lib}/ -lGL" \
             fltkflags="-L/usr/X11R6/%{_lib}/ -lfltk"
	     

%install
make install libdir=${RPM_BUILD_ROOT}/usr/X11R6/%{_lib}/ \
	     includedir=${RPM_BUILD_ROOT}/usr/X11R6/include \
             bindir=${RPM_BUILD_ROOT}/usr/X11R6/bin/ \
	     docdir=${RPM_BUILD_ROOT}/%{_docdir}/fltk \
	     mandir=${RPM_BUILD_ROOT}/usr/X11R6/man STRIP=true
rm  -rf ${RPM_BUILD_ROOT}/usr/X11R6/man/cat*
mv test test.orig
mkdir test
cp test.orig/*.c* test.orig/*.h test.orig/*.fl test.orig/*.xbm test
cp -a CHANGES COPYING README test ${RPM_BUILD_ROOT}%{_docdir}/fltk
cp makeinclude ${RPM_BUILD_ROOT}/usr/share/doc/packages/fltk

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot} 

%files
%defattr(-,root,root)
%doc %dir %{_docdir}/fltk
%doc %{_docdir}/fltk/CHANGES
%doc %{_docdir}/fltk/COPYING
%doc %{_docdir}/fltk/README
/usr/X11R6/%{_lib}/*.so.*

%files devel
%defattr(-,root,root)
%dir %{_docdir}/fltk
%doc %{_docdir}/fltk/test
%doc %{_docdir}/fltk/*.gif
%doc %{_docdir}/fltk/*.jpg
%doc %{_docdir}/fltk/*.html
%doc %{_docdir}/fltk/makeinclude
%doc /usr/X11R6/man/man*/*
/usr/X11R6/%{_lib}/*.a
/usr/X11R6/%{_lib}/*.so
/usr/X11R6/include/*
/usr/X11R6/bin/*

%changelog -n fltk
* Mon Feb 13 2006 - pnemec@suse.cz
- Fixed class cast errors in testsuite.
* Mon Feb 06 2006 - aj@suse.de
- Reduce BuildRequires.
- Fix some testsuite errors.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 12 2005 - postadal@suse.cz
- updated to version 1.1.6
- removed obsoleted patches: fltk-1.1.6-fix.dif and fltk-1.1.6-gcc34hack.patch
* Thu Jan 15 2004 - meissner@suse.de
- Upgraded to 1.1.4.
- Added a hack so it compiles with gcc 3.4pre, remove when GCC
  bug 13696 is fixed.
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directories to filelist
* Fri Feb 14 2003 - postadal@suse.cz
- updated to version 1.1.3
  * documentation update
  * fixes
* Thu Jan 09 2003 - postadal@suse.cz
- updated to version 1.1.2 (a lot of fixes)
- fixed undefined references to non-weak symbols
* Wed Jan 08 2003 - ro@suse.de
- fix configure.in
* Wed Nov 20 2002 - meissner@suse.de
- Upgraded to 1.1.1, upgraded fltk-delete-fix.dif, fixed neededforbuild.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Sep 04 2002 - postadal@suse.cz
- added %%run_ldconfig macro [#18897]
* Tue Aug 13 2002 - uli@suse.de
- fixed installation on lib64 archs
* Mon Aug 12 2002 - postadal@suse.cz
- update to version 1.1.0rc5
  * a lot of fixes
* Sun May 05 2002 - schwab@suse.de
- Fix invalid delete.
- Use $RPM_OPT_FLAGS.
* Fri Apr 19 2002 - postadal@suse.cz
- used macro %%{_lib} and fixed Makefile
- updated to 1.1.0b13
  * Documentation updates
  * Stereo OpenGL support
  * Added support for Xft lib to provide anti-aliased text on X11
  * Initial port of FLTK 2.0 drag-and-drop support
* Wed Apr 10 2002 - tiwai@suse.de
- fixed workaround for gcc 3.1 in configure script.
* Mon Feb 04 2002 - nadvornik@suse.cz
- updated to 1.1.0b10
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 14 2002 - schwab@suse.de
- Remove ia64 workaround.
* Mon Jan 14 2002 - nadvornik@suse.cz
- added fltk-config to filelist
* Tue Dec 11 2001 - nadvornik@suse.cz
- updated to 1.1.0b6
- added libjpeg and libpng to neededforbuild
* Thu Nov 08 2001 - tiwai@suse.de
- updated to 1.1.0b5.
  built now on gcc-3.0 / beta environment, too.
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Thu Sep 27 2001 - dan@suse.cz
- update to 1.1.0b1 that includes:
  * added new widgets
  * support for mouse wheels
  * keyboard navigation to all widgets
* Mon Aug 27 2001 - kukuk@suse.de
- split off devel subpackage
* Fri May 25 2001 - pblaha@suse.cz
- update on 1.0.11
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Thu Mar 08 2001 - pblaha@suse.cz
- update on 1.0.10
* Wed Mar 07 2001 - ro@suse.de
- added glu and glut packages
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Jul 10 2000 - mha@suse.de
- new version: 1.0.9
* Tue Jun 20 2000 - schwab@suse.de
- Lower opt level on ia64.
* Wed May 24 2000 - smid@suse.cz
- fix to compile with new mesa
* Fri Apr 21 2000 - smid@suse.cz
- buildroot added
* Mon Feb 14 2000 - mha@suse.de
- update to 1.0.7
* Wed Sep 29 1999 - mha@suse.de
- update to 1.0.6
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - mha@suse.de
- removed call to "glXReleaseBuffersMESA", which only exists
  in mesasoft, but not in any hardware-accelerated OpenGL library
* Mon Jul 19 1999 - bs@suse.de
- added Check
* Mon Jul 19 1999 - mha@suse.de
- new package: FLTK (pronounced "fulltick") is a LGPL'd C++ graphical
  user interface toolkit for X (UNIX), OpenGL, and WIN32 (Microsoft
  Windows NT 4.0, 95, or 98)
